// FILE: CalLib.h
// COPYRIGHT: (c), Symmetric Research, 2007-2009
//
// Header file for those parts of the USBxCH calibration application 
// shared between the GUI (Graphical User Interface) and CMD (Command line)
// versions

#include "DvmLib.h"     // Common DVM defines

#define INPUT_A         0
#define INPUT_B         1
#define NINPUTS         2
#define CAL_DEFAULT_INI "Cal.ini"

struct CalVariables {
        
        char     CalFileName[MAXSTR];      // Output .ini file name
        long     UserCountA[MAXCHANNEL];
        long     UserCountB[MAXCHANNEL];
        double   UserValueA[MAXCHANNEL];
        double   UserValueB[MAXCHANNEL];
        };

typedef struct CalVariables CAL_VARIABLES;

extern CAL_VARIABLES CalInfo;

// Function Prototypes

void CalInit( void );
int  CalMeasure( int Channel, int AtodInput );
int  CalCompute( void );
int  CalIniOutput( void );
int  CalMakeFormatSample( int Places, int Digits, char *DataString, int Nchar );
