@echo off

rem FILE: MakePdf.bat
rem COPYRIGHT (c): Symmetric Research, 2010
rem
rem Compile GnuPlot source to PS, and then convert to PDF with GhostScript.
rem 
rem It is assumed the GnuPlot terminal is set to PostScript.  The result
rem is run through GhostScript to create a PDF which is then brought up in
rem Adobe Reader for review.
rem 
rem PS to PDF conversion can be done with Adobe Distiller, but GhostScript
rem is more compatible with the command line and does a fine job, maybe
rem even creating smaller PDF files.
rem
rem
rem NOTE:
rem
rem Adobe Reader can be explicity run with:
rem
rem   set LOCALPATH= "%CD%"
rem   set PDFREADER= "%ProgramFiles%\Adobe\Reader 8.0\Reader\AcroRd32.exe"
rem   %PDFREADER% %LOCALPATH%\%FILENAMEBASE%.pdf
rem
rem but with the Microsoft file associations, you can also simply type the
rem PDF filename at the command line and Reader will come up.
rem


rem ENV VARIABLE ALIASES FOR THE EXECUTABLES:

set        GP= "%ProgramFiles%\GnuPlot\bin\wgnuplot.exe"
set        GS= "%ProgramFiles%\gs\gs8.64\bin\gswin32c.exe"
set  GS_FLAGS= -q -dBATCH -dNOPAUSE -sDEVICE=pdfwrite -sOutputFile=

prompt .$G$S
set FILENAMEBASE=Solar
set VIEWINACROBAT=Yes


@echo on
@echo.
@echo.
@echo GnuPlot %FILENAMEBASE%.gp to .ps / GHOSTSCRIPT .ps to .pdf ...
@echo.


if %VIEWINACROBAT%==Yes taskkill -im AcroRd32.exe

%GP% %FILENAMEBASE%.gp
%GS% %GS_FLAGS%%FILENAMEBASE%.pdf %FILENAMEBASE%.ps

if %VIEWINACROBAT%==Yes start %FILENAMEBASE%.pdf
