# FILE: Compiler.mak            Copyright (c), Symmetric Research, 2009
#
# Linux version:
#
# This makefile snippet sets up compiler related defines in one place.
# It is used by all the other makefiles in the parxch subdirectories.
#
# Requires: USBXCH
#
# Defines:  SROS
#           SRDEFS
#           INCDIR
#           LIBDIR
#           DLLDIR
#           DVMDIR
#           SRUSBXCHLIB
#           SRINIPARSELIB
#           SRHELPERLIB
#           SRUSBXCHC
#           SRINIPARSEC
#           SRHELPERC
#           SRUSBXCHH
#           SRINIPARSEH
#           SRHELPERH
#
#           SMPDEF
#           CC
#           CFLAGS
#           CFLAGSL
#           LFLAGS
#


# Set up SR specific defines.
# Use the Linux version of the SR code.

SROS       = SROS_LINUX
SRDEFS     = -D$(SROS)
SRINCPATH  = -I$(USBXCH)/Include



# Set up SR specific directories.

INCDIR     = $(USBXCH)/Include
LIBDIR     = $(USBXCH)/Lib
DLLDIR     = $(USBXCH)/DLL
DVMDIR     = $(USBXCH)/DVM



# Set up SR specific libraries.

SRUSBXCHLIB   = $(LIBDIR)/libsrusb.so
SRINIPARSELIB = $(LIBDIR)/libsrini.so
SRHELPERLIB   = $(LIBDIR)/libsrhlp.so

SRUSBXCHC     = $(LIBDIR)/SrUsbXch.c
SRINIPARSEC   = $(LIBDIR)/SrIniParse.c
SRHELPERC     = $(LIBDIR)/SrHelper.c

SRUSBXCHH     = $(INCDIR)/SrUsbXch.h
SRINIPARSEH   = $(INCDIR)/SrIniParse.h
SRHELPERH     = $(INCDIR)/SrHelper.h




# Only include SMP functionality if your machine has multiple CPUs

ifeq "$(USE_SMP)" "Yes"
SMPDEF     = -D__SMP__
else
SMPDEF     = 
endif


# Specify the compiler/linker and the options to use with it.

CC         = gcc
CFLAGS     = $(SMPDEF) $(SRDEFS) $(SRINCPATH) -Wno-multichar -O2 -o $@
CFLAGSL    = $(SMPDEF) $(SRDEFS) $(SRINCPATH) -Wno-multichar -O2 -fPIC -c
LFLAGS     = -shared -Wl,-soname



